API referenceInternal API · Prices
Get item details
Returns metadata and market capabilities for one goods ID.
GET
/api/market/goods/infoReturns metadata and market capabilities for one goods ID.
Query Parameters
game*"csgo"
BUFF game slug.
Value in
- "csgo"
goods_id*integer
BUFF goods ID.
Range
1 <= valueExample
43012Response Body
application/json
curl -X GET "https://example.com/api/market/goods/info?game=csgo&goods_id=43012"{ "code": "string", "data": { "id": 0, "appid": 0, "game": "string", "name": "string", "short_name": "string", "super_short_name": "string", "market_hash_name": "string", "transacted_num": 0, "description": null, "steam_market_url": "string", "goods_info": { "icon_url": "string", "steam_price": "string", "item_id": null, "info": { "tags": { "type": { "id": 0, "category": "string", "internal_name": "string", "localized_name": "string" }, "rarity": { "id": 0, "category": "string", "internal_name": "string", "localized_name": "string" }, "weapon": { "id": 0, "category": "string", "internal_name": "string", "localized_name": "string" }, "quality": { "id": 0, "category": "string", "internal_name": "string", "localized_name": "string" }, "exterior": { "id": 0, "category": "string", "internal_name": "string", "localized_name": "string" } } }, "steam_price_cny": "string", "original_icon_url": "string", "can_inspect": true, "can_3d_inspect": true, "can_display_inspect": true, "can_preview": true, "can_preview_upload": true, "can_search_by_sticker": true, "can_search_by_patch": true, "can_search_by_tournament": true, "search_tag": null, "normal_icon_url": "string", "can_specific_buy": true, "specific": [ { "items": [ { "buy_max_price": "string", "name": "string", "sell_min_price": "string", "value": 0 } ], "limit": 0, "name": "string", "specific_type": "string", "type": "string" } ], "can_specific_paintwear_buy": true, "specific_paintwear_buying_choices": [ null ], "can_specific_fade_buy": true, "specific_fade_buying_ranges": [ null ], "wear_rank_order_list": [ { "display_text": "string", "order_type": "string" } ] }, "item_id": null, "wiki_link": null, "user_show_count": 0, "recent_sold_count": 0, "has_fade_name": true, "can_buy": true, "can_sort_by_heat": true, "paintwear_range": [ "string" ], "paintwear_choices": [ [ "string" ] ], "rent_day_choices": [ "string" ], "fade_choices": [ [ "string" ] ], "support_name_tag": true, "support_charm": true, "has_paintwear_rank": true, "bookmarked": true, "has_rune": true, "has_overprint_name": true, "asset_tags": [ { "category": null, "depth": 0, "items": [ { "category": "string", "id": 0, "name": "string" } ], "name": "string", "type": "string" } ], "asset_tags_history": [ { "category": null, "depth": 0, "items": [ { "category": "string", "id": 0, "name": "string" } ], "name": "string", "type": "string" } ], "asset_tags_buy_order": [ { "category": null, "depth": 0, "items": [ { "category": "string", "id": 0, "name": "string" } ], "name": "string", "type": "string" } ], "paintseed_filters": [ { "max": 0, "name": "string", "placeholder": "string", "search": true, "type": "string" } ], "paintseed_filters_history": [ null ], "paintseed_filters_buy_order": [ null ], "rank_types": [ { "depth": 0, "items": [ { "name": "string", "value": 0 } ], "name": "string", "type": "string" } ], "deliver_deposit_filters": { "list": [ { "attribute": "string", "default_value": 0, "list": [ { "title": "string", "value": 0 } ] } ], "title": "string" }, "history_order_type_filters": { "list": [ { "attribute": "string", "list": [ { "title": "string", "value": 0 } ] } ], "title": "string" }, "sort_by_fields": { "list": [ { "attribute": "string", "default_value": "string", "list": [ { "title": "string", "value": "string" } ] } ], "title": "string" }, "rent_sort_by_fields": { "list": [ { "attribute": "string", "default_value": "string", "list": [ { "title": "string", "value": "string" } ] } ], "title": "string" }, "auction_sort_by_fields": { "list": [ { "attribute": "string", "default_value": "string", "list": [ { "title": "string", "value": "string" } ] } ], "title": "string" }, "pre_sell_sort_by_fields": { "list": [ { "attribute": "string", "default_value": "string", "list": [ { "title": "string", "value": "string" } ] } ], "title": "string" }, "share_data": { "share_task_type": 0, "content": "string", "thumbnail": "string", "title": "string", "url": "string" }, "containers": [ "string" ], "container_type": "string", "is_container": true, "has_related": true, "has_buff_price_history": true, "allow_bundle_inventory": true, "has_bundle_inventory_order": true, "has_rent_order": true, "relative_goods": [ { "auction_num": 0, "goods_id": 0, "goods_name": "string", "is_change": true, "sell_min_price": "string", "sell_num": 0, "tag": "string", "tag_name": "string" } ], "buy_num": 0, "sell_num": 0, "rent_num": 0, "auction_num": 0, "pre_sell_num": 0, "buy_max_price": "string", "sell_min_price": "string", "sell_reference_price": "string", "quick_price": "string", "market_min_price": "string", "pre_sell_min_price": "string", "is_charm": true, "keychain_color_img": "string", "show_game_cms_icon": true }, "msg": null}